# National Identity Number

```
TEST DATA

number: 101010
customer_name: John Doe
```

<mark style="color:green;">`POST`</mark> `{{URL}}/api/v2/biometrics/merchant/data/verification/ke/national_id/new`

Allows merchants to verify information of users using National ID and other identifiers.

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | String | \<your secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | your app id        |

#### Request Body

| Name                                                  | Type   | Description      |
| ----------------------------------------------------- | ------ | ---------------- |
| customer\_reference<mark style="color:red;">\*</mark> | String | unique user ref  |
| customer\_name<mark style="color:red;">\*</mark>      | String | lastname of user |
| number<mark style="color:red;">\*</mark>              | String | NATIONAL ID      |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status":true,
    "message":"Information Validated",
    "response_code":"00",
    "data":{
         "identity_type": "",
         "identity_number": "",
         "identity_name": "SURNAME FIRSTNAME MIDDLENAME",
         "date_of_birth": "",
          "gender": "",
        "photo": "",
          "transaction_id": "",
         "usr_password": "",
         "place_of_birth": "",
        "place_of_live": "",
        "date_of_issue": "",
        "id_serial_number": "",
        "expiry_date": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/kenya/national-identity-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
